#line 1 "C:/Users/ErnestClyde/Desktop/New folder/MyProject.c"
sbit LCD_RS at RB4_bit;
sbit LCD_EN at RB5_bit;
sbit LCD_D4 at RB0_bit;
sbit LCD_D5 at RB1_bit;
sbit LCD_D6 at RB2_bit;
sbit LCD_D7 at RB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;
float ADRead;
unsigned int vDisp[3];
unsigned char txt[23];







void staticprint(){

LCD_Out(2,1,"TIME");
LCD_Out(2,14,":");
LCD_Out(2,11,":");
LCD_Out(2,8,":");
LCD_Out(1,1,"TEMP");
LCD_Chr(1,15, 223);
LCD_Out(1,16,"F");
 }
 void readtemp()
 {

ADRead = ADC_Get_Sample(0);

 FloatToStr(ADRead,txt);
 LCD_Out(1,5,txt);


 }





void mydelay()
 {
 readtemp();
 staticprint();

 Delay_ms(1);

 readtemp();
 staticprint();

 Delay_ms(1);
 readtemp();
 staticprint();

 Delay_ms(1);
 readtemp();
 staticprint();
 Delay_ms(1);
 }






void main()
{

 PORTA = 0;
 TRISA = 0X01;
 PORTB = 0;
 TRISB = 0;
 LCD_Init();
 LCD_Cmd(_LCD_CURSOR_OFF);
 LCD_Cmd(_LCD_CLEAR);
 ADCON1 = 0x0E;
 ADC_Init();







 while (1)
 {



 char secs[7];
 char mins[7];
 char hours[7];
 char days[7];
 unsigned int s;
 unsigned int m;
 unsigned int h;
 unsigned int d;


for(d = 0;d<40;d++)
 {
IntToStr(d,days);
if(d<10)
{
LCD_Out(2,7,Ltrim(days));
LCD_Out(2,6, "0");
}
if (d>9)
{
LCD_Out(2,6,Ltrim(days));
}


 for(h = 0;h<24;h++)
 {
 IntToStr(h,hours);
 if(h==24)
 {
 d++;
 }
 if(h<10)
 {
 LCD_Out(2,10,Ltrim(hours));
 LCD_Out(2,9,"0");
 }
 if (h>9)
 {
 LCD_Out(2,9,Ltrim(hours));
 }
 for(m = 0;m<60;m++)
 {
 IntToStr(m,mins);
 if(m==60)
 {
 h++;
 }
 if(m<10)
 {
 LCD_Out(2,13,Ltrim(mins));
 LCD_Out(2,12, "0");
 }
 if (m>9)
 {
 LCD_Out(2,12,Ltrim(mins));
 }

 for(s = 0;s<60;s++)
 {
 IntToStr(s,secs);

 if(s==60)
 {

 m++;
 }
 if(s<10)
 {
 LCD_Out(2,16,Ltrim(secs));
 LCD_Out(2,15, "0");
 }
 if (s>9)
 {
 LCD_Out(2,15,Ltrim(secs));
 }
 mydelay();

 if((m%2==0)&&(s==0))
 { delay_ms(1000);

 }

 }

 }

 }
#line 201 "C:/Users/ErnestClyde/Desktop/New folder/MyProject.c"
 }

 }
}
